iscsi_iface_dump_config(3)

NAME
iscsi_iface_dump_config - Dump all configurations of specified iSCSI interface.

SYNOPSIS
const char * iscsi_iface_dump_config (struct iscsi_iface *iface);

ARGUMENTS

iface
    Pointer of 'struct iscsi_iface'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION

Dump all configurations of specified iSCSI interface. Will skip empty configuration so that output string could be saved directly to /etc/iscsi/ifaces/<iface_name> file.

RETURN
const char *. Need to free this memory by free.